Bug 1270914 - KDE Click to Focus Policy Violated by VMM
KDE Click to Focus Policy Violated by VMM
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: virt-viewer (Show other bugs)
21
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 12:16 EDT by bob
Modified: 2015-12-02 13:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:39:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bob 2015-10-12 12:16:21 EDT
Description of problem:

In KDE desktop environment, Virtual Machine Manager/ KDE Desktop allow virtual machine to steal window focus on mouseover.  This occurs in spite of Sysconfig settings being explicitly set to the most restrictive levels available to prevent such occurrence.

Example: In KDE, set the following two parameters:

System Settings > Window Behavior > Focus > Activating Windows > Policy > Click to Focus

and

System Settings > Window Behavior > Focus > Activating Windows > Focus Stealing Prevention = HIGH

With these settings, the active window should not change without a mouse click.  What actually happens is that if the mouse should drift from a window in which the user is working (such as a spreadsheet) into the VM window, while the user is typing data into the spreadsheet, the input data is misdirected into the virtual machine.  This misdirection of input data / theft of focus occurs when the mouse cursor drifts across the window boundary into the VM window and "hovers" there while the user is typing into the other window.  Focus should not change on a "hover" event when the policy is set to "click to focus" and focus stealing prevention is set to "high".


Version-Release number of selected component (if applicable):
KDE 4.14.9
Virtual Machine Manager 1.1.0

How reproducible:

All the time.  Driving me crazy.

Steps to Reproduce:
1. Set Activating Windows Policy to "Click to Focus"
2. Set Focus Stealing Prevention to High
3. Open a virtual machine
4. Work in a different window (ie: type into a spreadsheet)
5. Notice that focus switches from the active window to VM when mouse slips across the VM window boundary, such that input text is misdirected into the VM.

Actual results:

Unexpected change of focus.

Expected results:

Preservation of focus.

Additional info:
Comment 1 Fedora End Of Life 2015-11-04 04:59:14 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Cole Robinson 2015-11-04 19:11:19 EST
Can you reproduce on fedora 23?

If KDE has a setting about 'focus stealing prevention', then it must be something that it attempts to regulate independent of the app. spice/vnc widgets are just using standard gtk mouse grab routines, not sure why KDE can't prevent that? Or maybe the setting means something other than we think?
Comment 3 bob 2015-11-04 19:58:01 EST
> Can you reproduce on fedora 23?

F23 wasn't released when I submitted the bug.  Has it been released yet?
Comment 4 Cole Robinson 2015-11-04 20:59:29 EST
(In reply to bob from comment #3)
> > Can you reproduce on fedora 23?
> 
> F23 wasn't released when I submitted the bug.  Has it been released yet?

yeah just yesterday :)
Comment 5 Fedora End Of Life 2015-12-02 10:39:59 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.